Пропустить и перейти к основному содержимому

Этот браузер больше не поддерживается.

Выполните обновление до Microsoft Edge, чтобы воспользоваться новейшими функциями, обновлениями для системы безопасности и технической поддержкой.

Скачать Microsoft Edge Дополнительные сведения об Internet Explorer и Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Insights

Generate insights

POST /insights

Generates an insights report from the provided evaluation configuration.

Параметры заголовка

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Insights=V1Preview
Repeatability-Request-ID string

Unique, client-generated identifier for ensuring request idempotency. Use the same ID for retries to prevent duplicate evaluations.

Repeatability-First-Sent string

Timestamp indicating when this request was first initiated. Used in conjunction with repeatability-request-id for idempotency control.

Параметры запроса

api-version string обязательно

The API version to use for this operation.

Текст запроса

Complete evaluation configuration including data source, evaluators, and result settings

Content-Type: application/json
id string обязательно

The unique identifier for the insights report.

metadata InsightsMetadata обязательно

Metadata about the insights.

createdAt string обязательно

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string обязательно

Enum describing allowed operation states.

Любое из следующих:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string обязательно

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison обязательно

The request of the insights report.

Один из следующих:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum обязательно

The type of insights request.

EvaluationRunClusterInsight
evalId string обязательно

Evaluation Id for the insights.

runIds string[] обязательно

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string обязательно

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum обязательно

The type of request.

AgentClusterInsight
agentName string обязательно

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string обязательно

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum обязательно

The type of request.

EvaluationComparison
evalId string обязательно

Identifier for the evaluation.

baselineRunId string обязательно

The baseline run ID for comparison.

treatmentRunIds string[] обязательно

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Один из следующих:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum обязательно

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] обязательно

Comparison results for each treatment run against the baseline.

method string обязательно

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum обязательно

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult обязательно

Insights from the cluster analysis.

summary InsightSummary обязательно

Summary of the error cluster analysis.

sampleCount integer обязательно

Total number of samples analyzed.

uniqueSubclusterCount integer обязательно

Total number of unique subcluster labels.

uniqueClusterCount integer обязательно

Total number of unique clusters.

method string обязательно

Method used for clustering.

usage ClusterTokenUsage обязательно

Token usage for cluster analysis

inputTokenUsage integer обязательно

input token usage

outputTokenUsage integer обязательно

output token usage

totalTokenUsage integer обязательно

total token usage

clusters InsightCluster[] обязательно

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer обязательно

X-axis coordinate.

y integer обязательно

Y-axis coordinate.

size integer обязательно

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum обязательно

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult обязательно

Insights from the cluster analysis.

summary InsightSummary обязательно

Summary of the error cluster analysis.

sampleCount integer обязательно

Total number of samples analyzed.

uniqueSubclusterCount integer обязательно

Total number of unique subcluster labels.

uniqueClusterCount integer обязательно

Total number of unique clusters.

method string обязательно

Method used for clustering.

usage ClusterTokenUsage обязательно

Token usage for cluster analysis

inputTokenUsage integer обязательно

input token usage

outputTokenUsage integer обязательно

output token usage

totalTokenUsage integer обязательно

total token usage

clusters InsightCluster[] обязательно

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer обязательно

X-axis coordinate.

y integer обязательно

Y-axis coordinate.

size integer обязательно

Size of the chart element.

Ответы

The request has succeeded and a new resource has been created as a result.

Текст

Content-Type: application/json
id string обязательно

The unique identifier for the insights report.

metadata InsightsMetadata обязательно

Metadata about the insights.

createdAt string обязательно

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string обязательно

Enum describing allowed operation states.

Любое из следующих:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string обязательно

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison обязательно

The request of the insights report.

Один из следующих:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum обязательно

The type of insights request.

EvaluationRunClusterInsight
evalId string обязательно

Evaluation Id for the insights.

runIds string[] обязательно

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string обязательно

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum обязательно

The type of request.

AgentClusterInsight
agentName string обязательно

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string обязательно

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum обязательно

The type of request.

EvaluationComparison
evalId string обязательно

Identifier for the evaluation.

baselineRunId string обязательно

The baseline run ID for comparison.

treatmentRunIds string[] обязательно

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Один из следующих:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum обязательно

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] обязательно

Comparison results for each treatment run against the baseline.

method string обязательно

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum обязательно

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult обязательно

Insights from the cluster analysis.

summary InsightSummary обязательно

Summary of the error cluster analysis.

sampleCount integer обязательно

Total number of samples analyzed.

uniqueSubclusterCount integer обязательно

Total number of unique subcluster labels.

uniqueClusterCount integer обязательно

Total number of unique clusters.

method string обязательно

Method used for clustering.

usage ClusterTokenUsage обязательно

Token usage for cluster analysis

inputTokenUsage integer обязательно

input token usage

outputTokenUsage integer обязательно

output token usage

totalTokenUsage integer обязательно

total token usage

clusters InsightCluster[] обязательно

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer обязательно

X-axis coordinate.

y integer обязательно

Y-axis coordinate.

size integer обязательно

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum обязательно

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult обязательно

Insights from the cluster analysis.

summary InsightSummary обязательно

Summary of the error cluster analysis.

sampleCount integer обязательно

Total number of samples analyzed.

uniqueSubclusterCount integer обязательно

Total number of unique subcluster labels.

uniqueClusterCount integer обязательно

Total number of unique clusters.

method string обязательно

Method used for clustering.

usage ClusterTokenUsage обязательно

Token usage for cluster analysis

inputTokenUsage integer обязательно

input token usage

outputTokenUsage integer обязательно

output token usage

totalTokenUsage integer обязательно

total token usage

clusters InsightCluster[] обязательно

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer обязательно

X-axis coordinate.

y integer обязательно

Y-axis coordinate.

size integer обязательно

Size of the chart element.

Client error

Текст

Content-Type: application/json
error OpenAI.Error обязательно
code string | null обязательно
message string обязательно
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Любое из следующих:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string обязательно

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Текст

Content-Type: application/json
error OpenAI.Error обязательно
code string | null обязательно
message string обязательно
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Любое из следующих:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string обязательно

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Запрос

POST /insights HTTP/1.1

Response

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
ru-ru
Ваши варианты выбора параметров конфиденциальности
  • Заявление об отказе ИИ
  • Предыдущие версии
  • Блог
  • Участие в доработке
  • Конфиденциальность
  • Конфиденциальность медицинских данных потребителей
  • Условия использования
  • Товарные знаки
  • © Microsoft 2026